/*  nios2.h
 *
 *  This file sets up basic CPU dependency settings based on 
 *  compiler settings.  For example, it can determine if
 *  floating point is available.  This particular implementation
 *  is specific to the NIOS2 port.
 *
 *
 *  COPYRIGHT (c) 1989-1999.
 *  On-Line Applications Research Corporation (OAR).
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id: nios2.h,v 1.8 2005/02/04 05:40:52 ralf Exp $
 *
 */

#ifndef _RTEMS_SCORE_NIOS2_H
#define _RTEMS_SCORE_NIOS2_H

#ifdef __cplusplus
extern "C" {
#endif

/*
 *  This file contains the information required to build
 *  RTEMS for a particular member of the NIOS2 family.
 *  It does this by setting variables to indicate which
 *  implementation dependent features are present in a particular
 *  member of the family.
 *
 *  This is a good place to list all the known CPU models
 *  that this port supports and which RTEMS CPU model they correspond
 *  to.
 */
 
/*
 *  Define the name of the CPU family.
 */

#define CPU_NAME "NIOS2"
#define CPU_MODEL_NAME "tiny"
#define NIOS2_HAS_FPU 0

#ifdef __cplusplus
}
#endif

#endif /* _RTEMS_SCORE_NIOS2_H */
